"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportRequireProcessor = void 0;
const processor_1 = require("./processor");
/**
 * Processor for `import module = require('module')`
 */
class ImportRequireProcessor extends processor_1.Processor {
    parse(node) {
        if (this.ts.isExternalModuleReference(node) && this.ts.isStringLiteral(node.expression)) {
            return {
                node,
                moduleName: node.expression.text,
            };
        }
        return null;
    }
    updateModuleName(moduleName, { node }) {
        return this.factory.updateExternalModuleReference(node, this.factory.createStringLiteral(moduleName));
    }
}
exports.ImportRequireProcessor = ImportRequireProcessor;
//# sourceMappingURL=import-require-processor.js.map